Page MenuHomePhabricator

Design diff *of* Jade entity pages
Closed, ResolvedPublic

Description

This task is concerned with how Jade entity pages will appear within Special:Diff.

One of the issues identified is that seeing the diff of a Jade page that itself contains a diff is confusing for users.

Event Timeline

Halfak created this task.Mar 16 2020, 3:28 PM

For dealing with the double-diff view problem, I propose:

In this mock, we can see that the diff on the Jade page is hidden behind a semi-transparent div. There is a button saying "show full diff" that a user can click to see the expanded diff.

See

for the expanded diff after clicking the button.

We should load this shaded version of the diff on all non-current versions of the Jade page. E.g. https://somewiki.org/wiki/Jade:Diff/123456?oldid=456733

OK so now we need to know how the difference of Jade pages should look. I've made a mock of how all of the actions should look.

Halfak triaged this task as Medium priority.Apr 6 2020, 5:01 PM
Halfak moved this task from Unorganized to Ready to go on the Machine-Learning-Team board.
Halfak claimed this task.May 18 2020, 4:50 PM
Halfak removed Halfak as the assignee of this task.Jun 22 2020, 4:42 PM
ACraze renamed this task from Implement diff *of* Jade entity pages to Design diff *of* Jade entity pages.Sep 23 2020, 7:26 PM
ACraze closed this task as Resolved.
ACraze assigned this task to Halfak.